public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Software-License/
Date: Tue, 28 Feb 2012 12:02:17 +0000 (UTC)	[thread overview]
Message-ID: <1330429553.0381cebf0c988569dbccb1b0758ba96f93551204.kent@gentoo> (raw)

commit:     0381cebf0c988569dbccb1b0758ba96f93551204
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Tue Feb 28 11:45:53 2012 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Tue Feb 28 11:45:53 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=0381cebf

[newversion] Software-License-0.103.4

(Portage version: 2.2.0_alpha85/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)

---
 dev-perl/Software-License/ChangeLog                |    6 +++
 .../Software-License-0.103.4.ebuild                |   48 ++++++++++++++++++++
 2 files changed, 54 insertions(+), 0 deletions(-)

diff --git a/dev-perl/Software-License/ChangeLog b/dev-perl/Software-License/ChangeLog
index 5715faa..6cdb6f7 100644
--- a/dev-perl/Software-License/ChangeLog
+++ b/dev-perl/Software-License/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*Software-License-0.103.4 (28 Feb 2012)
+
+  28 Feb 2012; Kent Fredric <kentfredric@gmail.com>
+  +Software-License-0.103.4.ebuild:
+  Version Bump
+
   08 Feb 2012; Kent Fredric <kentfredric@gmail.com>
   -Software-License-0.102.340.ebuild, -Software-License-0.102.341.ebuild,
   -Software-License-0.103.0.ebuild, -Software-License-0.103.1.ebuild:

diff --git a/dev-perl/Software-License/Software-License-0.103.4.ebuild b/dev-perl/Software-License/Software-License-0.103.4.ebuild
new file mode 100644
index 0000000..a6a58dc
--- /dev/null
+++ b/dev-perl/Software-License/Software-License-0.103.4.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=RJBS
+MODULE_VERSION=0.103004
+inherit perl-module
+
+DESCRIPTION='packages that provide templated software licenses'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_runtime() {
+	# Carp
+	# echo virtual/perl-Carp
+	# Data::Section
+	echo dev-perl/Data-Section
+	# Sub::Install
+	echo dev-perl/Sub-Install
+	# Text::Template
+	echo dev-perl/text-template
+	# base
+	# echo virtual/perl-base
+	# perl 5.006 ( 5.6.0 )
+	echo \>=dev-lang/perl-5.6.0
+	# strict
+	echo dev-lang/perl
+	# warnings
+	echo dev-lang/perl
+}
+perl_meta_test() {
+	# Test::More 0.96 ( 0.960.0 )
+	echo \>=virtual/perl-Test-Simple-0.96
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_runtime)
+	test? ( $(perl_meta_test) )
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"



             reply	other threads:[~2012-02-28 12:04 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-02-28 12:02 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-11-22  6:54 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Software-License/ Kent Fredric
2015-03-31 18:39 Kent Fredric
2015-03-31 18:39 Kent Fredric
2012-02-08 21:57 Kent Fredric
2011-06-03 19:29 Torsten Veller
2011-05-06  7:21 Kent Fredric
2011-04-23 14:47 [gentoo-commits] proj/perl-overlay:perl514 " Kent Fredric
2011-04-23 14:45 ` [gentoo-commits] proj/perl-overlay:master " Kent Fredric
2011-04-01 12:34 Torsten Veller

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1330429553.0381cebf0c988569dbccb1b0758ba96f93551204.kent@gentoo \
    --to=kentfredric@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox